Catalog
3 min
An OData endpoint to retrieve the list of applications available in the catalog.
HTTP Method
GET
Returns a paged list of catalog records.
Returns the package revisions in the application's user interface.
Request URI
GET /api/SwdPackage/odata/catalogExternal?%24orderby=packageNameForSorting
The package revisions are returned to be displayed on the left side of an app's Package tab in the UI.
Header Parameters
Name | Type | Description |
|---|---|---|
Authorization | String | Use the Bearer <access-token> value determined during the ../Shared-Content/authenticate_api.htmapp-distribution-authentication.htmAuthentication process. |
Request Body Parameters
Name | Type | Description |
|---|---|---|
api-version | String | The current API version number. |